%global forgeurl https://github.com/facebook/netconsd

Name:           netconsd
Version:        v0.4
Release:        1.20240305214044918383.main.7.g481eb47%{?dist}
Summary:        The Netconsole Daemon

License:        BSD-3-Clause
URL:            https://facebookmicrosites.github.io/netconsd
Source:         netconsd-v0.4.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  libstdc++-static

%description
This is a daemon for receiving and processing logs from the Linux Kernel, as
emitted over a network by the kernel's netconsole module. It supports both the
old "legacy" text-only format, and the new extended format added in v4.4.

The core of the daemon does nothing but process messages and drop them: in order
to make the daemon useful, the user must supply one or more "output modules".
These modules are shared object files which expose a small ABI that is called by
netconsd with the content and metadata for netconsole messages it receives.

%prep
%autosetup -p1 -n netconsd-v0.4

%build
%set_build_flags
%make_build
%make_build utils

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}/netconsd

install -m0755 netconsd %{buildroot}%{_bindir}
install -m0755 util/netconsblaster %{buildroot}%{_bindir}
install -m0755 modules/*.so %{buildroot}%{_libdir}/netconsd

%files
%license LICENSE
%doc README.md
%{_bindir}/netconsd
%{_bindir}/netconsblaster
%{_libdir}/netconsd

%changelog
* Tue Mar 05 2024 Packit <hello@packit.dev> - v0.4-1.20240305214044918383.main.7.g481eb47
- Update all copyright/license headers with current template (#18) (Paul O’Shannessy)
- Support CPPFLAGS (Michel Lind)
- netconsblaster: remove unnecessary cast in rust implementation (Dave Jones)
- Enable `-Wimplicit-fallthrough` in kernel/PACKAGE (Richard Barnes)
- Fix compilation for Rust module (Mat Wood)
- kernel (generatedunixname89002005287564)
- Rework write_log (Dave Jones)
